## domdf-python-tools 3.6.1

=== doc-source/requirements.txt ===
default-values>=0.5.0
domdf-sphinx-theme>=0.3.0
extras-require>=0.2.0
html-section>=0.1.0
jinja2<3.1
pandas>=1.1.2
pytest>=6.2.0
pytest-regressions>=2.0.2
pytz>=2019.1
seed-intersphinx-mapping>=0.3.1
sphinx>=3.0.3
sphinx-autofixture>=0.2.1
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.1.0
sphinx-highlights>=0.1.0
sphinx-licenseinfo>=0.1.1
sphinx-notfound-page>=0.7.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.0.0
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.1.6
toctree-plus>=0.5.0

=== debian/changelog ===
domdf-python-tools (3.6.1-2) unstable; urgency=medium

  * Source-only upload to allow testing migratiom

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 26 Jul 2023 01:00:07 -0300

domdf-python-tools (3.6.1-1) unstable; urgency=medium

  * New upstream version 3.6.1
  * debian/control: Bumped Standards-Version 4.6.2
  * debian/copyright: updated year to 2023

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 04 Jul 2023 08:12:05 -0300

domdf-python-tools (3.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1020324)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 21 Feb 2023 14:43:58 -0300

=== debian/control ===
Source: domdf-python-tools
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-setuptools,
               pybuild-plugin-pyproject,
               python3-flask,
               python3-all,
               python3-sphinx,
               python3-pytest,
               python3-typing-extensions,
               python3-natsort,
               python3-importlib-resources,
               python3-importlib-metadata,
               python3-pytest-click <!nocheck>,
               python3-coverage <!nocheck>,
               faker <!nocheck>,
               python3-flake8 <!nocheck>,
               python3-funcy <!nocheck>,
               python3-pandas <!nocheck>,
               python3-pytest-cov <!nocheck>,
               python3-pytest <!nocheck>,
               python3-pytest-rerunfailures <!nocheck>,
               python3-pytest-regressions <!nocheck>,
               python3-pytest-timeout <!nocheck>,
               python3-pytz-deprecation-shim <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://github.com/domdfcoding/domdf_python_tools
Vcs-Browser: https://salsa.debian.org/python-team/packages/domdf-python-tools
Vcs-Git: https://salsa.debian.org/python-team/packages/domdf-python-tools.git

Package: python3-domdf-python-tools
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: Helpful functions for Python
 Domdf-python-tools" is a set of command-line tools for Python that can be used
 for many common tasks in Python software development.
 .
 The program is distributed as a Python package and can be installed using pip.
 It is designed to be easily integrated into software development workflows and
 to help automate repetitive tasks.
 .
 Highlights:
  * Version management of Python packages, including creating manifest files and
    packaging packages in tar.gz or wheel format.
  * Automatic document generation from source code files using Sphinx.
  * Source code analysis for style issues, using the flake8 tool.
  * Running completed tests on a project, using tox and pytest.
  * And other useful features like automatically generating a README.md file for
    GitHub.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=domdf-python-tools

#"tests skip: module coincidence" not accessible Debian.
export PYBUILD_TEST_ARGS=--ignore=tests/test_utils.py \
        --ignore=tests/test_dir_comparator.py \
	--ignore=tests/test_paths_stdlib.py \
	--ignore=tests/test_paths_stdlib.py \
	--ignore=tests/test_userlist.py \
	--ignore=tests/test_dates.py \
	--ignore=tests/test_doctools.py \
	--ignore=tests/test_import_tools.py \
	--ignore=tests/test_iterative.py \
	--ignore=tests/test_namedlist.py \
	--ignore=tests/test_paths.py \
	--ignore=tests/test_pretty_print.py \
	--ignore=tests/test_terminal.py
	
%:
	dh $@ --with python3  --buildsystem=pybuild

=== debian/tests/control ===
Tests: loop-tests-python
Depends: python3-all, python3-pytest, python3-mock, python3-domdf-python-tools, python3-pytest-click

## domdf-python-tools 3.8.0.post2

=== requirements.txt ===
importlib-metadata>=3.6.0; python_version < "3.9"
importlib-resources>=3.0.0; python_version < "3.7"
natsort>=7.0.1
typing-extensions>=3.7.4.1

=== doc-source/requirements.txt ===
default-values>=0.6.0
domdf-sphinx-theme>=0.3.0
extras-require>=0.5.0
html-section>=0.3.0
pandas>=1.1.2
pytest>=6.2.0
pytest-regressions>=2.0.2
pytz>=2019.1
seed-intersphinx-mapping>=1.2.2
sphinx>=3.0.3
sphinx-autofixture>=0.2.1
sphinx-copybutton>=0.2.12
sphinx-debuginfo>=0.2.2
sphinx-highlights>=0.1.0
sphinx-licenseinfo>=0.3.1
sphinx-notfound-page>=0.7.1
sphinx-prompt>=1.1.0
sphinx-pyproject>=0.1.0
sphinx-tabs>=1.1.13
sphinx-toolbox>=3.5.0
sphinxcontrib-httpdomain>=1.7.0
sphinxemoji>=0.1.6
toctree-plus>=0.6.1

=== debian/changelog ===
domdf-python-tools (3.8.0.post2-2) unstable; urgency=medium

  * debian/control:
      - Added dependency for running tests
      - Added 'Testsuite: autopkgtest-pkg-pybuild
      - Enabled dependencies to run tests
      - Reformatted the code with wrap-and-sort -a
  * debian/patches:
      - Removed fixed patch /001.fix-error-module.patch
      - Skipped because 'pytz' module is not in Debian
      - Updade function obsolete
  * debian/rules: Enabled test execution
  * debian/tests: Modified tests

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 31 Dec 2023 18:43:24 -0300

domdf-python-tools (3.8.0.post2-1) unstable; urgency=medium

  * New upstream version 3.8.0.post2

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 16 Dec 2023 09:48:34 -0300

domdf-python-tools (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Fri, 27 Oct 2023 18:54:36 -0300

=== debian/control ===
--- 
+++ 
@@ -6,28 +6,27 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               faker,
+               pybuild-plugin-pyproject,
+               python3-all,
+               python3-coincidence,
+               python3-coverage,
+               python3-flake8,
+               python3-flask,
+               python3-funcy,
+               python3-importlib-metadata,
+               python3-importlib-resources,
+               python3-natsort,
+               python3-pandas,
+               python3-pytest,
+               python3-pytest-click,
+               python3-pytest-cov,
+               python3-pytest-regressions,
+               python3-pytest-rerunfailures,
+               python3-pytest-timeout,
                python3-setuptools,
-               pybuild-plugin-pyproject,
-               python3-flask,
-               python3-all,
                python3-sphinx,
-               python3-pytest,
-               python3-typing-extensions,
-               python3-natsort,
-               python3-importlib-resources,
-               python3-importlib-metadata,
-               python3-pytest-click <!nocheck>,
-               python3-coverage <!nocheck>,
-               faker <!nocheck>,
-               python3-flake8 <!nocheck>,
-               python3-funcy <!nocheck>,
-               python3-pandas <!nocheck>,
-               python3-pytest-cov <!nocheck>,
-               python3-pytest <!nocheck>,
-               python3-pytest-rerunfailures <!nocheck>,
-               python3-pytest-regressions <!nocheck>,
-               python3-pytest-timeout <!nocheck>,
-               python3-pytz-deprecation-shim <!nocheck>,
+               python3-typing-extensions
 Standards-Version: 4.6.2
 Homepage: https://github.com/domdfcoding/domdf_python_tools
 Vcs-Browser: https://salsa.debian.org/python-team/packages/domdf-python-tools

=== debian/tests/control ===
Test-Command: python3 -m pytest -v --ignore=tests/test_import_tools.py --ignore=tests/test_paths.py
Depends: @,
        python3-pytest-click,
        python3-coverage,
        faker,
        python3-flake8,
        python3-funcy,
        python3-pandas,
        python3-pytest-cov,
        python3-pytest,
        python3-pytest-rerunfailures,
        python3-pytest-regressions,
        python3-pytest-timeout,
        python3-pytz-deprecation-shim,
        python3-coincidence,
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/domdfcoding/domdf_python_tools/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## domdf-python-tools 3.8.1

=== debian/changelog ===
domdf-python-tools (3.8.1-1) unstable; urgency=medium

  * New upstream version 3.8.1
  * debian/control:
     - Added <!nocheck> to test dependencies
     - Bumped Standards-Version 4.7.0
     - Updated dh-python by dh-sequence-python3
  * debian/watch: Added 'opts' tag for release filter

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 21 May 2024 23:40:23 -0300

## domdf-python-tools 3.9.0

=== debian/changelog ===
domdf-python-tools (3.9.0-2) unstable; urgency=medium

  * Team upload.
  * Drop explicit build-dependencies on
    python3-importlib-{metadata,resources}; they're only needed on Python <
    3.9.

 -- Colin Watson <cjwatson@debian.org>  Mon, 09 Sep 2024 13:09:56 +0100

domdf-python-tools (3.9.0-1) unstable; urgency=medium

  * New upstream version 3.9.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 06 Jul 2024 01:56:27 -0300

=== debian/control ===
--- 
+++ 
@@ -5,29 +5,27 @@
 Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               faker,
+               dh-sequence-python3,
+               faker <!nocheck>,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-coincidence,
-               python3-coverage,
-               python3-flake8,
+               python3-coincidence <!nocheck>,
+               python3-coverage <!nocheck>,
+               python3-flake8 <!nocheck>,
                python3-flask,
-               python3-funcy,
-               python3-importlib-metadata,
-               python3-importlib-resources,
-               python3-natsort,
-               python3-pandas,
-               python3-pytest,
-               python3-pytest-click,
-               python3-pytest-cov,
-               python3-pytest-regressions,
-               python3-pytest-rerunfailures,
-               python3-pytest-timeout,
+               python3-funcy <!nocheck>,
+               python3-natsort <!nocheck>,
+               python3-pandas <!nocheck>,
+               python3-pytest <!nocheck>,
+               python3-pytest-click <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-pytest-regressions <!nocheck>,
+               python3-pytest-rerunfailures <!nocheck>,
+               python3-pytest-timeout <!nocheck>,
                python3-setuptools,
                python3-sphinx,
                python3-typing-extensions
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/domdfcoding/domdf_python_tools
 Vcs-Browser: https://salsa.debian.org/python-team/packages/domdf-python-tools
 Vcs-Git: https://salsa.debian.org/python-team/packages/domdf-python-tools.git

## domdf-python-tools 3.10.0

=== requirements.txt ===
importlib-metadata>=3.6.0; python_version < "3.9"
importlib-resources>=3.0.0; python_version < "3.9"
natsort>=7.0.1
typing-extensions>=3.7.4.1

=== doc-source/requirements.txt ===
--- 
+++ 
@@ -14,10 +14,14 @@
 sphinx-highlights>=0.1.0
 sphinx-licenseinfo>=0.3.1
 sphinx-notfound-page>=0.7.1
-sphinx-prompt>=1.1.0
 sphinx-pyproject>=0.1.0
-sphinx-tabs>=1.1.13
 sphinx-toolbox>=3.5.0
+sphinxcontrib-applehelp==1.0.4
+sphinxcontrib-devhelp==1.0.2
+sphinxcontrib-htmlhelp==2.0.1
 sphinxcontrib-httpdomain>=1.7.0
+sphinxcontrib-jsmath==1.0.1
+sphinxcontrib-qthelp==1.0.3
+sphinxcontrib-serializinghtml==1.1.5
 sphinxemoji>=0.1.6
 toctree-plus>=0.6.1

=== tests/requirements.txt ===
click>=7.1.2
coincidence>=0.2.0
consolekit>=1.0.0
coverage>=5.1
coverage-pyver-pragma>=0.2.1
faker>=4.1.2
flake8<5,>=3.8.4
funcy>=1.16
importlib-metadata>=3.6.0
pandas>=1.0.0; implementation_name == "cpython" and python_version < "3.11"
pytest>=6.0.0
pytest-cov>=2.8.1
pytest-randomly>=3.7.0
pytest-regressions>=2.0.1
pytest-rerunfailures>=9.1.1
pytest-timeout>=1.4.2
pytz>=2019.1

=== debian/changelog ===
domdf-python-tools (3.10.0-2) unstable; urgency=medium

  * Team upload.
  * Sync autopkgtest deps with build-time test deps
    * replace python3-pytz-deprecation-shim with regular python3-pytz
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.2
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Thu, 13 Nov 2025 07:45:52 +0100

domdf-python-tools (3.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Remove incorrect patch claiming that pytz isn't in Debian, and instead
    add corresponding build-dependencies.

 -- Colin Watson <cjwatson@debian.org>  Tue, 25 Feb 2025 09:02:58 +0000

=== debian/control ===
Source: domdf-python-tools
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 faker <!nocheck>,
 pybuild-plugin-pyproject,
 python3-all,
 python3-coincidence <!nocheck>,
 python3-coverage <!nocheck>,
 python3-flake8 <!nocheck>,
 python3-flask,
 python3-funcy <!nocheck>,
 python3-hatch-requirements-txt,
 python3-hatchling,
 python3-natsort <!nocheck>,
 python3-pandas <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-click <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-regressions <!nocheck>,
 python3-pytest-rerunfailures <!nocheck>,
 python3-pytest-timeout <!nocheck>,
 python3-pytz <!nocheck>,
 python3-sphinx,
 python3-typing-extensions,
 tzdata-legacy <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/domdfcoding/domdf_python_tools
Vcs-Browser: https://salsa.debian.org/python-team/packages/domdf-python-tools
Vcs-Git: https://salsa.debian.org/python-team/packages/domdf-python-tools.git

Package: python3-domdf-python-tools
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Helpful functions for Python
 Domdf-python-tools" is a set of command-line tools for Python that can be used
 for many common tasks in Python software development.
 .
 The program is distributed as a Python package and can be installed using pip.
 It is designed to be easily integrated into software development workflows and
 to help automate repetitive tasks.
 .
 Highlights:
  * Version management of Python packages, including creating manifest files and
    packaging packages in tar.gz or wheel format.
  * Automatic document generation from source code files using Sphinx.
  * Source code analysis for style issues, using the flake8 tool.
  * Running completed tests on a project, using tox and pytest.
  * And other useful features like automatically generating a README.md file for
    GitHub.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=domdf-python-tools
	
%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 -m pytest  -v -p no:warnings --ignore=tests/test_terminal.py
endif

=== debian/tests/control ===
Test-Command: python3 -m pytest -v --ignore=tests/test_import_tools.py --ignore=tests/test_paths.py
Depends:
 faker,
 python3-coincidence,
 python3-coverage,
 python3-flake8,
 python3-funcy,
 python3-pandas,
 python3-pytest,
 python3-pytest-click,
 python3-pytest-cov,
 python3-pytest-regressions,
 python3-pytest-rerunfailures,
 python3-pytest-timeout,
 python3-pytz,
 tzdata-legacy,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: domdfcoding
Project: domdf_python_tools
